import React, { Component, Fragment } from 'react';
import '../css/Courses.css';
class CoursesListType extends Component {

  render() {
    let { typelist, typesylename, tipval } = this.props;

    return (
      <Fragment >
        {
          typelist === undefined || typelist === 403 || typelist === 401 || typelist === 407 || typelist === 408 || typelist === 409 || typelist === 500 ? "" : typelist.map((item, key) => {
            return (
              <a title={tipval} key={key}>

                {item === "公开" ? <span className={"edu-filter-btn edu-filter-btn-4CACFF ml15 fl typestyle "} >公开</span> : ""}
                {item === "已开启补交" ? <span className={"edu-filter-btn edu-filter-btn-028d01 ml15 fl typestyle "} >已开启补交</span> : ""}
                {item === "未开启补交" ? <span className={"edu-filter-btn edu-filter-btn-CC317C ml15 fl typestyle "} >未开启补交</span> : ""}
                {item === "匿名作品" ? <span className={"edu-filter-btn edu-filter-btn-006B75 ml15 fl typestyle "} >匿名作品</span> : ""}
                {item === "已选择" ? <span className={"edu-filter-btn edu-filter-btn-EDEDED ml15 fl typestyle color666666 "} >已选择</span> : ""}
                {item === "已结束" ? <span className={"edu-filter-btn edu-filter-btn-EDEDED ml15 fl typestyle color666666 "} >已结束</span> : ""}
                {item === "提交中" ? <span className={"edu-filter-btn edu-filter-btn-4CACFF ml15 fl typestyle "} >提交中</span> : ""}
                {item === "匿评中" ? <span className={"edu-filter-btn edu-filter-btn-4CACFF ml15 fl typestyle "} >匿评中</span> : ""}
                {item === "申诉中" ? <span className={"edu-filter-btn edu-filter-btn-4CACFF ml15 fl typestyle "} >申诉中</span> : ""}
                {item === "考试中" ? <span className={"edu-filter-btn edu-filter-btn-7AD58B ml15 fl typestyle "} >考试中</span> : ""}
                {item === "补交中" ? <span className={"edu-filter-btn edu-filter-btn-4CACFF ml15 fl typestyle "} >补交中</span> : ""}
                {item === "评阅中" ? <span className={"edu-filter-btn edu-filter-btn-4CACFF ml15 fl typestyle "} >评阅中</span> : ""}
                {item === "待选中" ? <span className={"edu-filter-btn edu-filter-btn-4CACFF ml15 fl typestyle "} >待选中</span> : ""}
                {item === "交叉评阅中" ? <span className={"edu-filter-btn edu-filter-btn-4CACFF ml15 fl typestyle "} >交叉评阅中</span> : ""}
                {item === "已开启交叉评阅" ? <span className={"edu-filter-btn edu-filter-btn-E99695 ml15 fl typestyle "} >已开启交叉评阅</span> : ""}
                {item === "待确认" ? <span className={"edu-filter-btn edu-filter-btn-5E5FB9 ml15 fl typestyle "} >待确认</span> : ""}
                {item === "待处理" ? <span className={"edu-filter-btn edu-filter-btn-5E5FB9 ml15 fl typestyle mr10 "} >待处理</span> : ""}
                {item === "未发布" ? <span className={"edu-filter-btn edu-filter-btn-84B6EB ml15 fl typestyle "} >未发布</span> : ""}
                {item === "私有" ? <span className={"edu-filter-btn edu-filter-btn-84B6EB ml15 fl typestyle "} >私有</span> : ""}
                {item === "未提交" ? <span className={"edu-filter-btn edu-filter-btn-84B6EB ml15 fl typestyle "} >未提交</span> : ""}
                {item === "已确认" ? <span className={"edu-filter-btn edu-filter-btn-FC2B6A ml15 fl typestyle "} >已确认</span> : ""}
                {item === "已截止" ? <span className={"edu-filter-btn edu-filter-btn-FC2B6A ml15 fl typestyle "} >已截止</span> : ""}
                {item === "开放课程" ? <span className={"edu-filter-btn edu-filter-btn-FF6800 ml15 fl typestyle "} >开放课程</span> : ""}


              </a>
            )
          })
        }
      </Fragment>
    )
  }
}
export default CoursesListType;
