import React from "react";
import { Modal } from 'antd';
import styled from 'styled-components';

const Box = styled.div`
    width:clac(100%+80px);
    margin:-24px -24px;
`;

//visible,title,onCancel,width
export default ({ children, ...props }) => {
    return <Modal footer={null} centered title={null} closable={false} {...props} maskClosable={false} keyboard={false}>
        <Box>{children}</Box>
    </Modal>;
};
