import { Row } from "antd";
import React from "react";
import { JobBtn } from "../../../util/GeneralButton";

export default ({ data, select }) => (
  <Row type="flex">
    {Array.from(data.values()).map((v) => (
      <JobBtn key={v} onClick={() => select(v)}>
        {v}
      </JobBtn>
    ))}
  </Row>
);
