import React, { Component } from "react";
import { Modal } from "antd";

class InfoModal extends Component {
  render() {
    const { title, visible, onCancel, footer, content } = this.props;
    return (
      <Modal
        centered
        visible={visible}
        title={title || <span style={{ fontSize: 18 }}>提示</span>}
        onCancel={onCancel}
        footer={footer}
      >
        <div style={{ textAlign: "center" }}>{content}</div>
      </Modal>
    );
  }
}

export default InfoModal;
