import React from "react";
import { Modal } from 'antd';
import styled from 'styled-components';

const Box = styled.div`
    width:clac(100%+80px);
    margin:-24px -24px;
`;
const Title = styled.div`
    font-size:18px;
    width:100%;
    font-family:MicrosoftYaHeiSemibold;
    color:rgba(51,51,51,1);
    text-align:center;
`;

//visible,title,onCancel,width
export default ({ children, title, ...props }) => {
    return <Modal footer={null} centered title={<Title>{title}</Title>} closable={false} {...props} maskClosable={false} keyboard={false}>
        <Box>{children}</Box>
    </Modal>;
};
