import { css } from 'styled-components';

export const pointerMixin = css`
    &:hover{
        cursor:pointer;
    }
`;
export const betweenMixin = css`
    display:flex;
    justify-content:space-between;
    align-items:center;
`;

export const alignTextMixin = css`
    height:${p => p.height};
    text-align:center;
    line-height:${p => p.height};
`;

export const allCenterMixin = css`
    display:flex;
    justify-content:center;
    align-items:center;
`;