import React from 'react'
import { Link } from "react-router-dom"

export default ({ children, title, titleEn, to }) => {
  return (
    <div className="clearfix pt20 educontent pr pb20 ">
      <div className="edu-txt-center">
        <p className="color-dark edu-txt-center font-24" style={{ lineHeight: '30px' }}>{title}</p>
        <p className="color-grey-cd font-12">{titleEn}</p>
      </div>
      <Link to={to} className="moreitem mr18">更多<i className="fa fa-angle-right ml5"></i></Link>
      <div className="square-list clearfix">
        {children}
      </div>
    </div>
  )
}