import React from "react";
import ItemBase from "./ItemBase";
import loc from "./icon/loc.png";
import Icon from "./icon/Icon";
import styled from "styled-components";

const Address = styled.div`
  font-size: 16px;
  font-family: MicrosoftYaHei;
  color: rgba(51, 51, 51, 1);
  overflow-wrap: anywhere;
`;

const Widget = ({ address }) => {
  const icon = <Icon src={loc} width="26px" height="24px" />;
  return (
    <ItemBase icon={icon} title="公司地址">
      <Address>{address}</Address>
    </ItemBase>
  );
};
export default Widget;
