import React from "react";
import job from "./icon/job.png";
import styled from "styled-components";
import ItemBase from "./ItemBase";
import Icon from "./icon/Icon";

const Info = styled.div`
  font-size: 14px;
  font-family: MicrosoftYaHei;
  color: rgba(51, 51, 51, 1);
  white-space: pre;
  line-height:25px;
  overflow-wrap: anywhere;
`;
export default ({ desc }) => {
  const icon = <Icon src={job} width="20px" height="23px" />;
  return (
    <ItemBase icon={icon} title="职位要求">
      <Info>{desc}</Info>
    </ItemBase>
  );
};
