import { Row } from "antd";
import React from "react";
import { JobBtn } from "../../../util/GeneralButton";

export default ({ data, selectedJob, selectJob }) => (
  <Row type="flex">
    {Array.from(data.keys()).map((i) => (
      <JobBtn
        key={i}
        onClick={() => {
          selectJob(i);
        }}
        isSelected={selectedJob === i}
      >
        {i}
      </JobBtn>
    ))}
  </Row>
);
