import styled from 'styled-components';
import React from "react";
import { Breadcrumb } from 'antd';
import { betweenMixin } from "./cssMixin";
import { TextButton } from './Button';

const Nav = styled.div`
    width:1200px;
    margin:0 auto;
    font-size:12px;
    font-family:MicrosoftYaHei;
    padding-top:20px;
    padding-bottom:20px;
    ${betweenMixin}
`;
export default ({ breadcrunmb, back }) => <Nav>
    <Breadcrumb separator=">">
        {breadcrunmb.map(i => <Breadcrumb.Item>{i}</Breadcrumb.Item>)}
    </Breadcrumb>
    <TextButton color="rgba(51,51,51,1)" onClick={back}>返回</TextButton>
</Nav>;

